//
//  ViewController.m
//  pay
//
//  Created by Jasmin Suljic on 22/09/15.
//  Copyright © 2019 Monri Payments d.o.o. All rights reserved.
//

#import "ViewController.h"
#import "AFNetworking/AFNetworking.h"
#import "ShowOrderModel.h"
#import "ShowOrderResponse.h"
#import "PgwApiExampleViewController.h"
#import "InputResolver.h"
@interface ViewController ()
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *spinner;

@end

@implementation ViewController

-(void) viewDidLoad{    
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.destinationViewController isKindOfClass:[PgwApiExampleViewController class]]) {
        PgwApiExampleViewController *vc = segue.destinationViewController;
        if ([segue.identifier  isEqual: @"getErrorExample"]) {
            vc.isGetError = true;
        } else if([segue.identifier  isEqual: @"checkTransaction"]){
            vc.isCheckTransaction = true;
        } else if([segue.identifier isEqualToString:@"checkOrder"]){
            vc.isCheckOrder = true;
        } else if([segue.identifier isEqualToString:@"listPaymentMethod"]) {
            vc.listPaymentMethod = true;
        } else if([segue.identifier isEqualToString:@"updatePaymentMethod"]) { 
            vc.updatePaymentMethod = true;
        } else if([segue.identifier isEqualToString:@"deletePaymentMethod"]) {
            vc.deletePaymentMethod = true;
        }
        else {
            vc.isCheckOrderId = true;
        }
    }
}

@end
