//
//  ApiError.h
//  Pods
//
//  Created by Jasmin Suljic on 25/01/17.
//
//

#import "TransactionSuccess.h"

@interface ApiError : NSObject

@property(strong,nonatomic) NSString *error;
@property int code;
@property BOOL applicationError;
@property BOOL definiteError;
// -1 if error id is not assigned
@property int errorId;

-(id) init: (int) code
  error: (NSString *) error;

-(id) init: (int) code
     error: (NSString *) error
    applicationError: (BOOL) applicationError;

-(BOOL) isBusinessError;
-(BOOL) isDefiniteError;

+(ApiError *) fromJson: (NSDictionary *) jsonDict;

@end
