//
//  AddPaymentMethodModel.h
//  WebtehPaymentLib
//
//  Created by Jasmin Suljic on 04/10/2018.
//

#import "Customer.h"
#import "Merchant.h"
#import "OrderDetails.h"

@interface AddPaymentMethodModel : NSObject

@property(strong,nonatomic) NSString *client;
@property(strong,nonatomic) NSString *merchantId;
@property(strong,nonatomic) NSString *clientSecret;
@property(strong,nonatomic) NSString *orderInfo;
@property(strong,nonatomic) NSString *orderNumber;
@property(strong,nonatomic) NSString *sign;
@property(strong,nonatomic) NSString *authToken;
@property(strong,nonatomic) NSString *digest;
@property(strong,nonatomic) NSString *amount;
@property(strong,nonatomic) NSString *currency;
@property(strong,nonatomic) Customer *customer;


-(id) init:(NSString * ) orderNumber
orderInfo:(NSString * ) orderInfo
sign:(NSString * ) sign
client:(NSString * ) client
  merchant: (Merchant *) merchant
  customer: (Customer *) customer;

-(NSString *) toInput;
@end
