//
//  Transaction.h
//  pay
//
//  Created by Jasmin Suljic on 22/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Transaction : NSObject

@property int transactionId;

@property(strong,nonatomic) NSString *responseCode;
@property(strong,nonatomic) NSString *approvalCode;
@property(strong,nonatomic) NSString *status;

-(id) init: (int) transactionId
responseCode: (NSString *) responseCode
approvalCode: (NSString *) approvalCode
    status: (NSString *) status;

- (NSString *)description;

+ (Transaction *) fromJson:(NSDictionary *) input;

@end
